fstrcmpi(3)

NAME
fstrcmpi - fuzzy comparison of two strings

SYNOPSIS
#include <fstrcmp.h>

#define FSTRCMPI_IDENTICAL
#define FSTRCMPI_THRESHOLD
#define FSTRCMPI_ERROR

int fstrcmpi(const char *string1, const char *string2);

DESCRIPTION
The fstrcmpi() function compares the two strings, string1 and string2.

RETURN VALUE
The fstrcmpi function returns an int value between 0 and FSTRCMPI_IDENTICAL. A value of 0 means the strings are utterly un-alike. A value of FSTRCMPI_IDENTICAL means the strings are identical. A value of more than FSTRCMPI_THRESHOLD (it lies between 0 and FSTRCMPI_IDENTICAL) would be considered "similar" by most people.

A value of FSTRCMPI_ERROR (always negative) indicates a malloc(3) failure.

SEE ALSO

fstrcasecmpi(3)
    compare two strings ignoring case

fstrcmp(3)
    fuzzy comparison of two strings

fmemcmp(3)
    fuzzy comparison of two memory areas

strcmp(3)
    compare two strings

COPYRIGHT
fstrcmp version 0.7
Copyright (C) 2009 Peter Miller
Peter Miller <pmiller@opensource.org.au>

The comparison code is derived from the fuzzy comparison functions in GNU Gettext 0.17. The GNU Gettext comparison functions were, in turn, derived from GNU Diff 2.7.

Copyright (C) 1988-2009 Free Software Foundation